Subject: Re: bug#21357: 24.5; Daemon leaves Mac OSX App open after closing GUI frame

From: Alan Third <[email-masked]>
Date: Sun, 29 Aug 2021 10:27:11 +0100

On Thu, Aug 26, 2021 at 04:00:12PM +0200, Lars Ingebrigtsen wrote:
> Alan Third <[email-masked]> writes:
> 
> > The attached patch "fixes" this by hiding the app icon in the dock and
> > removing the menus. It's still possible to create a new frame using
> > emacsclient.
> 
> I think that makes sense...

Since I don't think we're likely to get anyone testing this on the
strength of this bug report, I've pushed it to master and we can wait
and see if anyone has any comments.

> > The alternative is to occasionally run the NS run loop even when there
> > are no NS frames open. I don't know how we could do that but it would
> > allow us to leave the menu and dock icon available and operative even
> > without any GUI frames open.
> 
> I would expect there to be nothing in the dock when running an Emacs
> daemon (and there's no frames open), but don't really have an opinion on
> this.

I reckon that many Mac users would expect if they run an application
(in the normal way, not daemon mode) and close all the windows the
application menu and dock icon will still work, allowing them to open
new windows and so on. I don't think it's unreasonable for the app to
just quit, though.
-- 
Alan Third